Skip to content

DEPRECATED - Get Location's Data Point Statistics
deprecated

Request

Deprecated. Use GET /data-points/statistics instead.

Security
X-API-KEY or Authorization
Path
idstringrequired

The uberall unique ID of the location

Query
dataPointTypesArray of strings

Types of datapoints you want inbox statistics for

Example:dataPointTypes=[PHOTO, REVIEW, CHECKIN]
directoryTypesArray of strings

Directories you want inbox statistics for

ratingsArray of strings

Ratings of datapoints you want inbox statistics for.

minActionDatestring

Only consider data points published on the directory after that date, as unix timestamp in milliseconds; for directories that report edits (e.g. Google) the publication date moves to the most recent edit by the author. For API versions before 20210215 this parameter is interpreted as minThreadActionDate for backward compatibility

maxActionDatestring

Only consider data points published on the directory before that date, as unix timestamp in milliseconds; for directories that report edits (e.g. Google) the publication date moves to the most recent edit by the author. For API versions before 20210215 this parameter is interpreted as maxThreadActionDate for backward compatibility

minThreadActionDatestring

The min date of the latest consumer activity on the DataPoint as unix timestamp in milliseconds. Consumer activity includes the original publication, edits by the author and new consumer comments; replies by the location owner do not update this date

Example:minThreadActionDate=1514764800000
maxThreadActionDatestring

The max date of the latest consumer activity on the DataPoint as unix timestamp in milliseconds. Consumer activity includes the original publication, edits by the author and new consumer comments; replies by the location owner do not update this date

Example:maxThreadActionDate=1514764800000
curl -i -X GET \
  'https://uberall.com/api/locations/{id}/datapoints/statistics?dataPointTypes=%5BPHOTO%2C%20REVIEW%2C%20CHECKIN%5D&directoryTypes=string&ratings=string&minActionDate=string&maxActionDate=string&minThreadActionDate=1514764800000&maxThreadActionDate=1514764800000' \
  -H 'X-API-KEY: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
statusstringrequired
Enum:"SUCCESS""PENDING""QUOTA_LIMIT_EXCEED""NOT_AUTHORIZED""FORBIDDEN""BAD_ACCESS_TOKEN""BAD_PRIVATE_KEY""BAD_PUBLIC_KEY""MISSING_PARAMETER""INVALID_PARAMETER"
messagestring

(optional) Holds further information about the response

warningsArray of strings

(optional) Holds further warnings

responseobjectrequired

Datapoint statistics response Model

Example:
[ { "totalCount": 100, "photoCount": 20, "postCount": 30, "reviewCount": 25, "checkinCount": 10, "questionCount": 5, "ratingCount": 15, "unreadCount": 8, "pendingApprovalCount": 3, "averageRating": 4.2, "directories": {} } ]
Response
{ "status": "SUCCESS", "message": "string", "warnings": [ "string" ], "response": [ {} ] }